CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Diversas interfaces de linha de comando úteis para depurar o calibre. Sem opções, esse comando inicia um intérprete Python incorporado. Você também pode executar a interface principal do calibre, o Visualizador de e-books e o editor do calibre no modo de depuração.

Também contém interfaces para várias partes do calibre que não possuem
    ferramentas de linha de comando dedicadas, como subconjuntos de fontes, a ferramenta de comparação de e-books, etc.

    Você também pode usar o calibre-debug para executar scripts isolados. Para isso, use-o assim: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

    Tudo após o -- é passado ao script. Você também pode usar o calibre-debug com um shebang em scripts, assim: #!/usr/bin/env -S calibre-debug -e -- --

    Sempre que você for passar argumentos para calibre-debug que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--add-simple-plugin
    Adiciona um plugin (por exemplo, um plugin que consiste de apenas um arquivo .py), pela especificação do caminho de um arquivo py que contenha o código do plugin.

--command, -c
    Executar código Python.

--debug-device-driver, -d
    Depurar a detecção de dispositivo

--default-programs
    (Des)cadastre o calibre da lista dos Programas Padrão do Windows. --default-programs = (register|unregister)

--diff
    Executar a ferramenta diff do calibre. Por exemplo: calibre-debug --diff arquivo1 arquivo2

--edit-book
    Carregar a ferramenta "Editar Livro" do calibre em modo de depuração.

--exec-file, -e
    Executar o código Python no arquivo.

--explode-book, -x
    Extrai o livro dentro da pasta especificada. Use: -x arquivo.epub pasta_destino Exporta o livro como uma coleção de arquivos e metadados em HTML, onde você pode editar usando algum editor HTML padrão. Funciona com arquivos EPUB, AZW3, HTMLZ e DOCX.

--export-all-calibre-data
    Exportar todos os dados do calibre (livros/configurações/plugins). Normalmente, você será questionado sobre a pasta de exportação e as bibliotecas a serem exportadas. Você pode também pode especificá-los como argumentos da linha de comando para pular as perguntas. Use caminhos absolutos para a pasta de exportação e bibliotecas. A palavra chave especial "all" pode ser utilizada para exportar todas as bibliotecas. Exemplos: calibre-debug --export-all-calibre-data # para uso interativo calibre-debug --export-all-calibre-data /caminho/para/pasta/de/exportacao/vazia /caminho/para/pasta/da/biblioteca1 /caminho/para/pasta/da/biblioteca2 calibre-debug --export-all-calibre-data /pasta/de/exportacao all # exporta todas a bibliotecas conhecidas

--fix-multiprocessing
    Para uso interno

--gui, -g
    Executa a interface gráfica com a depuração ativada. A saída de depuração é impressa para stdout e stderr.

--gui-debug
    Executa a interface gráfica com console de depuração, conectando ao caminho especificado. Para uso interno apenas use a opção -g para executar a interface gráfica no modo de depuração

--help, -h
    mostrar esta mensagem de ajuda e sair

--implode-book, -i
    Reúne um livro préviamente extraído. USe: -i diretório aquivo.epub Importa o livro dos arquivos dentro do diretório que foram criados pela opção explode-book. Tenha certeza de especifiar os mesmo tipos de arquivo que foram usados quando estraídos.

--import-calibre-data
    Importar dados do calibre exportados anteriormente

--inspect-mobi, -m
    Inspeciona arquivo(s) MOBI no(s) caminho(s) especificado(s)

--paths
    Saída dos caminhos necessários para configurar o ambiente do calibre

--run-plugin, -r
    Executa um plugin que provê uma interface de linha de comando. Por exemplo: calibre-debug -r "Nome do plugin" -- file1 --option1 Tudo após o -- será passado ao plugin como argumentos.

--run-test, -t
    Executar o(s) teste(s) nomeado(s). Use o valor especial "all" para executar todos os testes. Caso o nome do teste inicie com um ponto, será considerado como o nome de um módulo. Caso o nome do teste comece com @, será considerado o nome de uma categoria.

--run-without-debug
    Não executar com o sinalizador DEBUG definido

--shutdown-running-calibre, -s
    Faz com que uma instância ativa do calibre, se houver uma, seja desligada. Note que se houver trabalhos ativos, estes serão abortados silenciosamente, então, use com cuidado.

--subset-font, -f
    Subconjunto da fonte especificada. Use -- depois dessa opção para passar opções ao programa de subdivisão de fontes.

--test-build
    Testar módulos binários em construção

--version
    mostrar número da versão do programa e sair

--viewer, -w
    Executar o Visualizador de e-books em modo de depuração

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal